import { StoredProcedureDictionary } from "./mysql-database-definition";
export default class SpBuilder {
    private procedures;
    private types;
    private compiledTemplate;
    private compiledFunctionTemplate;
    constructor(procedures: StoredProcedureDictionary, types: {
        [key: string]: string;
    });
    renderTemplate(): string;
    private getMySqlType(param);
    private toTsParamNotation(param);
    private renderFunction(procedure);
}
