"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
class StoredProcedures {
    constructor(knex) {
        this.knex = knex;
    }
    callSp(name, ...args) {
        return __awaiter(this, void 0, void 0, function* () {
            let questionMarks = args.map(item => "?").join(", ");
            let query = `CALL ${name}(${questionMarks});`;
            let resp = yield this.knex.raw(query, args);
            return resp[0][0];
        });
    }
    sp_orders_stat_left_menu(a, b) {
        return __awaiter(this, void 0, void 0, function* () {
            return yield this.callSp("sp_orders_stat_left_menu", a, b);
        });
    }
}
exports.default = StoredProcedures;
//# sourceMappingURL=stored-procedures.js.map